KUBERNETES(1)

NAME

kubectl stop - Deprecated: Gracefully shut down a resource by name or filename.

SYNOPSIS

kubectl stop [OPTIONS]

DESCRIPTION

Deprecated: Gracefully shut down a resource by name or filename.

The stop command is deprecated, all its functionalities are covered by delete command. See 'kubectl delete --help' for more details.

Attempts to shut down and delete a resource that supports graceful termination. If the resource is scalable it will be scaled to 0 before deletion.

OPTIONS

--all=false
    [-all] to select all the specified resources.

-f, --filename=[]
    Filename, directory, or URL to file of resource(s) to be stopped.

--grace-period=-1
    Period of time in seconds given to the resource to terminate gracefully. Ignored if negative.

--ignore-not-found=false
    Treat "resource not found" as a successful stop.

-o, --output=""
    Output mode. Use "-o name" for shorter output (resource/name).

-l, --selector=""
    Selector (label query) to filter on.

--timeout=0
    The length of time to wait before giving up on a delete, zero means determine a timeout from the size of the object

OPTIONS INHERITED FROM PARENT COMMANDS

--alsologtostderr=false
    log to standard error as well as files

--api-version=""
    The API version to use when talking to the server

--certificate-authority=""
    Path to a cert. file for the certificate authority.

--client-certificate=""
    Path to a client key file for TLS.

--client-key=""
    Path to a client key file for TLS.

--cluster=""
    The name of the kubeconfig cluster to use

--context=""
    The name of the kubeconfig context to use

--insecure-skip-tls-verify=false
    If true, the server's certificate will not be checked for validity. This will make your HTTPS connections insecure.

--kubeconfig=""
    Path to the kubeconfig file to use for CLI requests.

--log-backtrace-at=:0
    when logging hits line file:N, emit a stack trace

--log-dir=""
    If non-empty, write log files in this directory

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--logtostderr=true
    log to standard error instead of files

--match-server-version=false
    Require server version to match client version

--namespace=""
    If present, the namespace scope for this CLI request.

--password=""
    Password for basic authentication to the API server.

-s, --server=""
    The address and port of the Kubernetes API server

--stderrthreshold=2
    logs at or above this threshold go to stderr

--token=""
    Bearer token for authentication to the API server.

--user=""
    The name of the kubeconfig user to use

--username=""
    Username for basic authentication to the API server.

--v=0
    log level for V logs

--vmodule=
    comma-separated list of pattern=N settings for file-filtered logging

EXAMPLE

    # Shut down foo.
    $ kubectl stop replicationcontroller foo
    # Stop pods and services with label name=myLabel.
    $ kubectl stop pods,services -l name=myLabel
    # Shut down the service defined in service.json
    $ kubectl stop -f service.json
    # Shut down all resources in the path/to/resources directory
    $ kubectl stop -f path/to/resources

SEE ALSO

kubectl(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!